import dynamix_sdk.base as _base


class CloudapiComputePauseResultBool(_base.BaseAPIResultBool):
    pass


class CloudapiComputePauseProtocol(_base.BasePostAPIFunctionProtocol):
    def pause(
        self,
        *,
        vm_id: int,
    ) -> CloudapiComputePauseResultBool:
        ...
